﻿

/* ==========================================================
// Box Layout
// ========================================================== */

/* ----------------------------------------------------------
// General Box Styles
// ---------------------------------------------------------- */

html
{
    height: 100%;
}

body
{
	background-color: #ffffff;
	margin: 0px 0px 0px 0px;
    height: 100%;
    /*position: relative;*/
}

form#ppadmin
{
    display: block;
    position: relative;
    min-height: 100%;
    /*height: 100%;*/
    /*left: 0px;*/
    /*right: 0px;*/
    /*border: solid 3px red;*/
    border: none;
}

#Header
{
    /*height: 90px;*/
}

#Main
{
    margin-left: 30px;
    margin-right: 30px;
    padding-bottom: 100px;
    height: 100%;
    /*border: solid 1px blue;*/
}

@media only screen and (max-width: 700px)
{
    #Main
    {
        margin-left: 15px;
        margin-right: 15px;
    }
}

img.LogoPassword
{
    height: 27px;
    border: none;
}

#Footer
{
    position: absolute;
    bottom: 0px;
    left: 0px;
    right: 0px;
    /*top: 10px;*/
    /*height: 50px;*/
}


/* ----------------------------------------------------------
// Color animation
// ---------------------------------------------------------- */

.ColorAnimation,
#Header,
#Footer
{
    background-color: #cc133a;
    animation:          animated_slide 10s infinite;
    -moz-animation:     animated_slide 10s infinite;
    -webkit-animation:  animated_slide 10s infinite;
}

@keyframes animated_slide
{
    0%
    {
        background-color: #cc133a;
    }
    16%
    {
        background-color: #f123f9;
    }
    32%
    {
        background-color: #1515d7;
    }
    50%
    {
        background-color: #16f0e3;
    }
    66%
    {
        background-color: #64f515;
    }
    84%
    {
        background-color: #f6ea2c;
    }
    100%
    {
        background-color: #cc133a;
    }
}

@-webkit-keyframes animated_slide
{
    0%
    {
        background-color: #cc133a;
    }

    16%
    {
        background-color: #f123f9;
    }

    32%
    {
        background-color: #1515d7;
    }

    50%
    {
        background-color: #16f0e3;
    }

    66%
    {
        background-color: #64f515;
    }

    84%
    {
        background-color: #f6ea2c;
    }

    100%
    {
        background-color: #cc133a;
    }
}

@-moz-keyframes animated_slide
{
    0%
    {
        background-color: #cc133a;
    }

    16%
    {
        background-color: #f123f9;
    }

    32%
    {
        background-color: #1515d7;
    }

    50%
    {
        background-color: #16f0e3;
    }

    66%
    {
        background-color: #64f515;
    }

    84%
    {
        background-color: #f6ea2c;
    }

    100%
    {
        background-color: #cc133a;
    }
}


/* ==========================================================
// Fonts and Text
// ========================================================== */

body
{
	font-family: 'rawengulksansregular', Arial, Helvetica, sans-serif;
    color: #000000;
	/*color: #ffffff;*/
	/*color: rgba(255,255,255,0.8);*/
    text-align: center;
}

::selection
{
	color: #ffffff;
	background-color: #f123f9;
}

body.LightWindow
{
    background-color: #c3197c;
}

.LightWindow form
{
    margin: 10px;
}

#Header
{
	font-size: 90px;	
    line-height: 170px;    
    font-family: 'pacificoregular', Arial, Helvetica, sans-serif;
    color: #ffffff;
    font-weight: normal;

    text-shadow: 5px 5px 10px #000000;
    filter: dropshadow(color=#000000, offx=5, offy=5);
}

@media only screen and (max-width: 700px)
{
    #Header
    {
        font-size: 45px;
        line-height: 90px;
    }
}

@media only screen and (max-width: 400px)
{
    #Header
    {
        font-size: 30px;
        line-height: 60px;
    }
}

h1
{
	font-size: 40px;	
    font-family: 'pacificoregular', Arial, Helvetica, sans-serif;
    color: #f123f9;
    font-weight: normal;

    text-shadow: 5px 5px 10px #000000;
    filter: dropshadow(color=#000000, offx=5, offy=5);
}

.LightWindow h1
{
    font-size: 3em;
    margin-bottom: 0.5em;
}

p
{
	font-size: 25px;
    /*text-shadow: 2px 2px 4px #000000;
    filter: dropshadow(color=#000000, offx=2, offy=2);*/
}

#Footer p
{
    font-size: 15px;
    color: #ffffff;
}

#Footer a
{
    color: #ffffff;
}

.LightWindow p
{
    font-size: 1.5em;
    margin-bottom: 1.5em;
}

.LightWindow p em
{
    font-weight: bold;
    color: #000;
}

a
{
    color: #f123f9;
    text-decoration: underline;
}

a:hover
{
    text-decoration: none;
}

.Error
{
    font-size: 30px;	
    font-family: 'pacificoregular', Arial, Helvetica, sans-serif;
    /*font-weight: bold;*/
    color: #ea2964;
    text-shadow: 3px 3px 5px #000000;
    filter: dropshadow(color=#000000, offx=3, offy=3);
}

/* ==========================================================
// Buttons
// ========================================================== */

a.Buy,
div.Back {
  background: #ffb800;
  background-image: -webkit-linear-gradient(top, #ffda00, #ffb800);
  background-image: -moz-linear-gradient(top, #ffda00, #ffb800);
  background-image: -ms-linear-gradient(top, #ffda00, #ffb800);
  background-image: -o-linear-gradient(top, #ffda00, #ffb800);
  background-image: linear-gradient(to bottom, #ffda00, #ffb800);
  -webkit-border-radius: 16;
  -moz-border-radius: 16;
  border-radius: 16px;
  /*font-family: Arial;*/
  /*color: #ffffff;*/
  color: #000000;
  
  /*margin-right: -24px;*/
  border: solid #e1a300 1px;
  text-decoration: none;

  /*display: block;*/
  display: inline-block;
  /*width: 100%;*/

  -moz-box-shadow: 0px  0px  6px  #d9d9d9;
  -webkit-box-shadow: 0px  0px  6px  #d9d9d9;
  box-shadow: 0px  0px  7px  #d9d9d9;

  cursor: hand;
  cursor: pointer;
}

a.Buy:hover,
div.Back:hover {
  background: #23a100;
  background-image: -webkit-linear-gradient(top, #b1eba0, #23a100);
  background-image: -moz-linear-gradient(top, #b1eba0, #23a100);
  background-image: -ms-linear-gradient(top, #b1eba0, #23a100);
  background-image: -o-linear-gradient(top, #b1eba0, #23a100);
  background-image: linear-gradient(to bottom, #b1eba0, #23a100);
  text-decoration: none;
  color: #ffffff;
  border: solid #239502 1px;
}

a.Buy > span,
div.Back > span
{
    display: block;
    margin: 6px 12px 6px 12px;
    text-align: center;
    /*font-size: 19px;*/
}

    a.Buy > span > span.Note,
    div.Back > span > span.Note
    {
        font-size: 13px;
        font-weight: normal;
        display: block;
    }

p.Highlight
{
    background-color: #f573a3;
    background-color: rgba(245, 115, 163, 0.75);
    color: #fff;
}

div.Back
{
    margin-top: 20px;

    background: #e2591d;
    background-image: -webkit-linear-gradient(top, #f6b462, #e2591d);
    background-image: -moz-linear-gradient(top, #f6b462, #e2591d);
    background-image: -ms-linear-gradient(top, #f6b462, #e2591d);
    background-image: -o-linear-gradient(top, #f6b462, #e2591d);
    background-image: linear-gradient(to bottom, #f6b462, #e2591d);
}

div.Back:hover {
  background: #971226;
  background-image: -webkit-linear-gradient(top, #eba7a0, #971226);
  background-image: -moz-linear-gradient(top, #eba7a0, #971226);
  background-image: -ms-linear-gradient(top, #eba7a0, #971226);
  background-image: -o-linear-gradient(top, #eba7a0, #971226);
  background-image: linear-gradient(to bottom, #eba7a0, #971226);
  border: solid #971226 1px;
}


/* ==========================================================
// Forms
// ========================================================== */

input
{
    font-family: 'rawengulksansregular', Arial, Helvetica, sans-serif;
	color: #f123f9;
    font-size: 25px;
}

/* ==========================================================
// Lists
// ========================================================== */

.PresentsOverview
{
    /*border: solid 1px red;*/

    width: 80%;
    height: 70%;
    margin: 0 auto;
    /*position: absolute;*/
    
}

.PresentsOverview > div
{
    display: block;
    float: left;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    background-color: #fa136f;
    border: 0.15em solid #fa136f;
    
    width: 5em;
    height: 5em;
    margin-right: 0.35em;
    margin-bottom: 0.35em;
    cursor: hand;
    cursor: pointer;
}

.PresentsOverview > div:hover
{
    border: 0.15em solid #faee1c;
}

.PresentsOverview > div > img
{
    margin: 0.45em auto;
}

.AlreadyGone
{
    

    /*filter: grayscale(100%);
    -webkit-filter: grayscale(100%);
    -moz-filter: grayscale(100%);
    -ms-filter: grayscale(100%);
    -o-filter: grayscale(100%);
    filter: url(filters.svg#grayscale);
    filter: gray;
    -webkit-filter: grayscale(1);*/

    filter: url(desaturate.svg#grayscale); /* Firefox 3.5+ */
    filter: gray; /* IE6-9 */
    -webkit-filter: grayscale(1); /* Google Chrome, Safari 6+ & Opera 15+ */

}


/* ==========================================================
// Form Div (for Registration, ...)
// ========================================================== */

.LightWindow label
{
    display: inline-block;
    width: 30%;
}

.LightWindow .Validator
{
    /*clear: both;*/
    /*position: absolute;*/
    /*float: left;*/
    display: block;
    /*font-size: 1.5em;*/
    background-color: #f6ea2c;
    color: #000;
    /*margin-top: -30em;
    margin-bottom: 1.5em;*/
}

.LightWindow .Buy
{
    font-size: 1.5em;
}

.LightWindow .Buy > span
{
    margin: 15px;
}

.LightWindow input,
.LightWindow textarea
{
    font-family: 'rawengulksansregular', Arial, Helvetica, sans-serif;
    /*font-size: 1.5em;*/
}

.LightWindow textarea
{
    font-size: 1em;
}


/* ==========================================================
// Data Table
// ========================================================== */

table.Data
{
    border-collapse: collapse;
}

table.Data td
{
    margin: 5px;
    padding: 5px;
    border: solid 1px #000000;
    text-align: left;
}

table.Data > thead td
{
    font-weight: bold;
    color: #f123f9;
}